# frozen_string_literal: true

class ErrorPagesController < ApplicationController
  # 4xx Client Error
  # 400 :bad_request
  def bad_request; end
  # 401 :unauthorized
  def unauthorized; end
  # 402 :payment_required
  def payment_required; end
  # 403 :forbidden
  def forbidden; end
  # 404 :not_found
  def not_found; end
  # 405 :method_not_allowed
  def method_not_allowed; end
  # 406 :not_acceptable
  def not_acceptable; end
  # 407 :proxy_authentication_required
  def proxy_authentication_required; end
  # 408 :request_timeout
  def request_timeout; end
  # 409 :conflict
  def conflict; end
  # 410 :gone
  def gone; end
  # 411 :length_required
  def length_required; end
  # 412 :precondition_failed
  def precondition_failed; end
  # 413 :payload_too_large
  def payload_too_large; end
  # 414 :uri_too_long
  def uri_too_long; end
  # 415 :unsupported_media_type
  def unsupported_media_type; end
  # 416 :range_not_satisfiable
  def range_not_satisfiable; end
  # 417 :expectation_failed
  def expectation_failed; end
  # 422 :unprocessable_entity
  def unprocessable_entity; end
  # 423 locked
  def locked; end
  # 424 :failed_dependency
  def failed_dependency; end
  # 426 :upgrade_required
  def upgrade_required; end

  # 5xx Server Error
  # 500 :internal_server_error
  def internal_server_error; end
  # 501 not_implemented
  def not_implemented; end
  # 502 :bad_gateway
  def bad_gateway; end
  # 503 :service_unavailable
  def service_unavailable; end
  # 504 :gateway_timeout
  def gateway_timeout; end
  # 505 :http_version_not_supported
  def http_version_not_supported; end
  # 507 :insufficient_storage
  def insufficient_storage; end
  # 510 :not_extended
  def not_extended; end
end
